name: article
type: object
meta:
    widget: tabs
    label:
        de: Einstellungen zum Artikel
        en: Article Setings
    activeTab: 1
subFields:
    - name: general
      type: object
      meta:
          label:
              de: Allgemein
              en: General
      subFields:
          - name: public
            type: boolean
            meta:
                filter: true
                label:
                    de: Veröffentlicht
                    en: Public
                helperText:
                    de: "Der Artikel wird auf der Seite angezeigt."
                    en: "This article is displayed on the page."
          - name: type
            type: string
            meta:
                filter: true
                helperText:
                    de: "Definiert allgemeinen Typ des Artikels."
                    en: "Defines general type of the article."
                widget: select
                label:
                    de: Typ des Artikels
                    en: Article type
                defaultValue: default
                choices:
                    - { id: "default", name: { de: "Artikel", en: "Article" } }
                    - { id: "news", name: { de: "News", en: "News" } }
          - !include ../_locale.yml
          - name: publish_date
            type: object
            meta:
                label:
                    de: Datum der Veröffentlichung
                    en: Release Date
            subFields:
                - name: from
                  type: string
                  meta:
                      widget: date
                      inputProps:
                          type: "datetime-local"
                      label:
                          de: Datum (ab)
                          en: Date (from)
                - name: until
                  type: string
                  meta:
                      widget: date
                      inputProps:
                          type: "datetime-local"
                      label:
                          de: Datum (bis)
                          en: Date (until)
                - name: interval
                  type: number
                  meta:
                      inputProps:
                          placeholder: 60000
                      label:
                          {
                              de: "Zeit-Interval für Live-Check der Veröffentlichung.",
                              en: "Time interval for publication live check",
                          }
                      helperText:
                          de: "Der Zeit-Interval wird in ms (Millisekunden) angebeben. Standard ist 60000 (60sec)"
                          en: "The time interval is specified in ms (milliseconds). Default is 60000 (60sec)"
          - name: sort
            type: number
            meta:
                inputProps:
                    type: number
                    placeholder: 0
                label: { de: "Sortierung", en: "Sorting" }
                helperText:
                    de: "1...5...10...100"
                    en: "1...5...10...100"
    - name: content
      type: object
      meta:
          label:
              de: Inhalt
              en: Content
      subFields:
          - name: slug
            type: string
            meta:
                label: { de: "Permalink", en: "Permalink" }
          - name: title
            type: string
            meta:
                label: { de: "Titel", en: "Title" }
          - name: subtitle
            type: string
            meta:
                label: { de: "Untertitel", en: "Subtitle" }
          - name: types
            type: object
            meta:
                widget: tabs
                label:
                    de: Inhalt dieses Artikel
                    en: Article Content
                activeTab: 0
            subFields:
                - name: teaser
                  type: string
                  meta:
                      widget: richtext
                      label: { de: "Teaser-Text des Artikel", en: "Article Teaser Text" }
                - name: details
                  type: string
                  meta:
                      widget: richtext
                      label: { de: "Detail-Text des Artikel", en: "Article Detail Text" }
                - !include _article-media.yml
                - !include _article-attachments.yml
    - name: layout
      type: object
      meta:
          label: { de: Layout, en: Layout }
      subFields:
          - name: variant
            type: string
            meta:
                helperText:
                    de: "Definiert das visuelle Erscheinungsbild der aller Teaser-Informationen des Artikels."
                    en: "Defines the visual appearance of all teaser information of the article."
                widget: select
                label:
                    de: Teaser Erscheinungsbild
                    en: Teaser Layout
                defaultValue: default
                choices:
                    - { id: "top", name: { de: "Artikelbild oben", en: "Article picture top" } }
                    - { id: "right", name: { de: "Artikelbild rechts", en: "Article picture right" } }
                    - { id: "bottom", name: { de: "Artikelbild unten", en: "Article picture left" } }
                    - { id: "default", name: { de: "Artikelbild links", en: "Article picture left" } }
          - name: properties
            type: object
            meta:
                widget: tabs
            subFields:
                - !include _article-layout-margin.yml
                - !include _article-layout-padding.yml
    - !include _article-link.yml
    - !include _article-assignments.yml
